### Hierarchy

- MatchRunner

## Index

### Properties

- match

### Methods

- onGameEnd
- onMatchEnd
- playNextGame
- start

## Properties

### match

match: Match

- Defined in src/lobby/tournament/match/MatchRunner.ts:5

## Methods

### Private onGameEnd

- onGameEnd(game: Game): void

- - Defined in src/lobby/tournament/match/MatchRunner.ts:11

  #### Parameters

  - ##### game: Game

  #### Returns void

### Private onMatchEnd

- onMatchEnd(): void

- - Defined in src/lobby/tournament/match/MatchRunner.ts:13

  #### Returns void

### Private playNextGame

- playNextGame(): void

- - Defined in src/lobby/tournament/match/MatchRunner.ts:9

  #### Returns void

### start

- start(): void

- - Defined in src/lobby/tournament/match/MatchRunner.ts:7

  #### Returns void

Generated using TypeDoc